Home » Computer » Network » Archive by category "Spam" (Page 10)

擋掉 Baidu Spider

前幾天在 .htaccess 擋掉 Baidu Spider 後,流量少了 40%:

#
SetEnvIf User-Agent ^Baidu baidu
Deny from env=baidu

舊站 也擋了,不過好像沒什麼影響,跟原來流量差不多。

Technorati 的 Popular Blogs 與 Spam 的關係

那邊的 內引外流 這篇文章裡看到 已經排到第三名的消息,而且快要超越

不過,我要用 丟出幾個數據,比較一下 受到 Spam 的情況。

msi 的部分:

qstr 的部分:

這些 Spammer 會到處到其他地方 (各種留言板、討論區、blah blah) 到處貼 link,於是就會有大量來自不同站台的的 Inbound Link。查詢出來的結果發現,Yam 的 Blog 比別人少,但是 Spam 比別人多。

除了 Spam 以外,還有 的 Redirect 關係,以及各種串連活動 (貼貼紙活動) 造成有不同站台的 Inbound Link。(誰看過 整天沒事搞串連的?)

比起 ,在「量」的方面,也許不久後會超越過去 (我指的是 ),但「質」到底怎麼樣,自己想一想會比較清楚。

瘋狂 spam 的 msi-team 與 qstr

剛剛突然興起,想看看還有沒有其他人被 msi-team 與 qstr 這兩個詐騙集團打到,果然馬上就找到了:

其實要找到幹剿文也不好找,因為用 找都是 Spam XD

另外我一直有種感覺,msi-team 與 qstr 這兩個團體背後是同一組人,因為手法、技術都很像。不知道什麼時候會被揭穿...

WordPress.com 開放申請

在他的 Blog 上說他們決定開放 給所有人申請:WordPress.com Open

目前 雖然是用 WordPress-mu,但可以看出來目前跟的很緊,幾乎所有的 Beta code 都有上去。而且目前穩定性看起來也還可以,不過如果完全開放後不知道會怎樣 :p

不過,可以預期的是上面會有大量的 Spam Blogs 寄生... (Spam Blogs 可以參考 對於 的說明)

WordPress 2.0 Beta 1 - Akismet

WordPress 2.0 Beta 1 引入了 ,一個 Antispam Service,這個 Service 需要一個 WordPress.com API key,我剛好有,所以我就裝起來測試看看。不過,即使測試了以後發現效果很好,我還是會換回

主要的原因在於 送出太多資訊了,$_SERVER 所有的東西都會送出去,這包括了 Cookie (Exactly What Data Are You Sending to Akismet?)。當然也就有人跑去 上質疑 (askimet, wordpress, and cookies)。

另外要補充的一點是, 是封閉式架構,你不知道這個黑盒子裡面到底再跑什麼... 即使再有效,我也不會想用,如同 一樣。

Update:鳥蛋一個,所有的 ping 與 trackback 都被 block,換回

bogofilter

看到 這篇 bogofilter 亂談 才發現我好像欠某長輩 document 很久了 :p 查了一下,我是從六月中的時候開始用 ,七月中的時候把 的 Mail System 也加上 過濾。

我是裝 ,因為 只要 wordlist 超過 1xMB 就會寫不進去,不知道為什麼 :p 而且 的速度很快 (只比 慢:),所以就用 吧 :p

.procmailrc 裡面設定:

# bogofilter
:0fw
| /usr/local/bin/bogofilter -e -p -l

.muttrc 裡面設定:

macro index X "<pipe-entry>formail -s bogofilter -s\n<delete-message<" "mark as spam"
macro index Z "<pipe-entry>formail -s bogofilter -n\n" "mark as non-spam"

配合 過濾時 master.cf 的部分內容:


smtp inet n - n - - smtpd -o content_filter=bogofilter:
bogofilter unix - n n - - pipe flags=FR user=nobody:mail
argv=/usr/local/sbin/bogofilter.sh -f ${sender} -- ${recipient}

其中 /usr/local/sbin/bogofilter.sh 是從網路上抄來的,長這樣:

#!/bin/sh
/bin/rm /tmp/bogofilter-now
echo $$ > /tmp/bogofilter-now
CAT=/bin/cat
FILTER=/usr/local/bin/bogofilter
FILTER_DIR=/var/spool/bogofilter
SENDMAIL="/usr/sbin/sendmail -i"
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
cd $FILTER_DIR || { echo $FILTER_DIR does not exist; exit $EX_TEMPFAIL; }
# Clean up when done or when aborting.
trap "rm -f msg.$$" 0 1 2 3 15
# bogofilter returns: 0 for spam; 1 for non-spam; 2 for I/O or other errors.
$CAT | $FILTER -d $FILTER_DIR -p -e > msg.$$
$SENDMAIL "$@" < msg.$$

其中 /var/spool/bogofilter 裡必須有 wordlist.qdbm

詳細的說明晚點再寫。

另外提供我自己的 wordlist.qdbm 讓大家用好了,如果不想自己花兩三天 train 的話:http://files.gslin.org/bogofilter/wordlist.qdbm

Adblock

這陣子發現 Firefox 看 的圖片老是出不來,按 Reload 按半天也沒用,本來一直以為是 1.5 Beta 1 的關係,可是到了 Beta 2 還是一樣,我就在想是不是我的問題... 只是想半天也想不出來。

剛剛突然想到是不是在 裡不小心設的太寬,於是誤擋了 的圖片,結果發現某些圖片被擋,像是 這條裡右邊的圖,因為 url 是:

http://upload.wikimedia.org/wikipedia/en/thumb/e/e9/...

而我擋:

ad.*

okay,找到原因了,是因為 upload.wikimedia.org 炸了 :p 改成 http://ad.* 果然就正常了 XD

Archives